import 'package:flutter/Material.dart';
import 'package:get/get_state_manager/src/rx_flutter/rx_obx_widget.dart';
import 'package:keyboard/module/zodiac_love_intimacy/tody/zodiac_love_today_controller.dart';

import '../../../base/base_view.dart';
import '../widget/zodiac_love_intimacy_report.dart';

/// 星座恋爱分析-今日Tab
class ZodiacLoveTodayView extends BaseView<ZodiacLoveTodayController> {
  const ZodiacLoveTodayView({super.key});

  @override
  backgroundColor() {
    return Color(0xFFF6F5FA);
  }

  @override
  Widget buildBody(BuildContext context) {
    return Obx(() {
      return ZodiacLoveIntimacyReportWidget(
        // unlock: controller.memberInfo.value?.isMember ?? false,
        // 今日分析，不需要VIP就可以查看
        unlock: true,
        reportResult: controller.zodiacLoveIntimacyResp.value,
        isReportCreating: controller.isReportCreating.value,
        clickUnlockBtnCallback: () {
          controller.clickUnlockBtn();
        },
      );
    });
  }
}
